%define name	post
%define version	1.2.3
%define release	1mdk

Summary:	BananaPOS bhpos point of sale terminal.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.bananahead.com
Source0:	%{name}-%{version}.tar.bz2
Source1:	post.conf.bz2
Source100:	fix_files.sh.bz2
Source101:	fix_db_embed_changes.txt.bz2
Patch0:		post-1.2.3-mdk_conf.diff.bz2
Requires:	bhposbase >= 1.2.3
BuildRequires:	bhposbase-devel >= 1.2.3
BuildRequires:	bhposcommonlibs-devel >= 1.4.0
BuildRequires:	bhposclientlibs-devel >= 1.2.2
BuildRequires:	XFree86-devel
BuildRequires:	XFree86-libs
BuildRequires:	pkgconfig
BuildRequires:	gcc3.3
BuildRequires:	gcc3.3-c++
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
BananaPOS Point Of Sale Terminal.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

# dynamic "patch" system by Kort E Patterson
bzcat %{SOURCE100} > fix_files.sh
bzcat %{SOURCE101} > fix_db_embed_changes.txt
chmod 755 fix_files.sh
echo "A *.cpp ./fix_db_embed_changes.txt ." > files_to_fix
echo "A *.h ./fix_db_embed_changes.txt ." >> files_to_fix
./fix_files.sh ./files_to_fix

# fix install
perl -pi -e "s|^SUBDIRS.*|SUBDIRS = m4 src share po doc|g" Makefile*

bzcat %{SOURCE1} > post.conf

%build
export CCC=gcc-3.3.4
export CXX=g++-3.3.4

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_menudir}

%makeinstall_std

# install config
install -m0644 post.conf %{buildroot}%{_sysconfdir}/post.conf

# fix some icons
convert share/pixmaps/happy_banana.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert share/pixmaps/happy_banana.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert share/pixmaps/happy_banana.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# fix menu entry
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 needs="X11" \
 section="Applications/Finances" \
 title="BananaPOS" \
 longtitle="BananaPOS Point Of Sale Terminal"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/post.conf
%attr(0755,root,root) %{_bindir}/post
%{_datadir}/bhpos/pixmaps
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.3-1mdk
- initial mandrake package
